import { Node } from 'estree';
type LineNumberDetails<T> = {
    [lineNumber: number]: T;
};
export type LineCounts = LineNumberDetails<number[]>;
export type WrapThresholds = LineNumberDetails<number>;
export type CommentTriggerWithEnding<T> = {
    [P in keyof T]: {
        data: T[P];
        lineEnd: number;
    };
};
export type CommentTriggers = {
    nextLineCounts: LineCounts;
    setLineCounts: CommentTriggerWithEnding<LineCounts>;
    nextWrapThresholds: WrapThresholds;
    setWrapThresholds: CommentTriggerWithEnding<WrapThresholds>;
};
export declare function getCommentTriggers(key: Node, debug: boolean): CommentTriggers;
export declare function parseNextLineCounts(input: string, nextOnly: boolean, debug: boolean): number[];
export {};
